> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project Fields Configuration

> List the custom fields configured on a project, in display order.



## OpenAPI

````yaml /openapi.json get /projects/{project_id}/fields
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /projects/{project_id}/fields:
    get:
      tags:
        - Custom Fields
      summary: Get Project Fields Configuration
      description: List the custom fields configured on a project, in display order.
      operationId: getProjectFieldsConfiguration
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID
          schema:
            type: string
            example: ev:3000010034
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Field'
        '401':
          description: Unauthorized
components:
  schemas:
    Field:
      type: object
      properties:
        id:
          type: number
          description: Custom field ID
          example: 406
        name:
          type: string
          example: field name
        type:
          type: string
          example: date
        format:
          $ref: '#/components/schemas/FieldFormat'
        options:
          type: array
          items:
            $ref: '#/components/schemas/FieldOption'
        position:
          type: number
          example: 1
        icon:
          type: string
          description: Field icon name
    FieldFormat:
      type: object
      properties:
        format:
          type: string
          enum:
            - number
            - currency
            - percent
            - label
        type:
          type: string
          description: Optional type for date field
          enum:
            - date
            - dob
        decimals:
          type: number
          example: 2
        label:
          type: string
          description: Label up to 8 symbols
          example: US$
        labelAt:
          type: string
          description: Label position left/right
          enum:
            - left
            - right
    FieldOption:
      type: object
      properties:
        id:
          type: number
          example: 806
        name:
          type: string
          example: option value
        color:
          type: string
          example: '#FC5500'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````